## ghostscript 10.0.0~dfsg

=== demos/c/Makefile ===
api_test: api_test.c
	(cd ../.. && ./autogen.sh)
	(cd ../.. && make so XCFLAGS="-DCLUSTER")
	pwd
	gcc -fPIC -I../.. api_test.c -DGHOSTPDL=1 -lgpdl -L../../sobin -o api_test

run_api_test: api_test
	LD_LIBRARY_PATH=../../sobin ./api_test

post_api_test:
	md5sum apitest*
	rm apitest*

multi_test: multi_test.c
	(cd ../.. && ./autogen.sh)
	(cd ../.. && make so XCFLAGS="-DCLUSTER")
	pwd
	gcc -fPIC -I../.. multi_test.c -DGHOSTPDL=1 -lgpdl -lpthread -L../../sobin -o multi_test

run_multi_test: multi_test
	LD_LIBRARY_PATH=../../sobin ./multi_test

post_multi_test:
	md5sum multitest*
	rm multitest*
	rm multi_out*

=== debian/changelog ===
ghostscript (10.0.0~dfsg-8) unstable; urgency=medium

  * QA upload
  * debian/: No longer build with dynamic modules (Closes: #1023330)
    - X11 support is now part of ghostscript and ghostcript-x is a
      transitional package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2022 16:00:05 +0100

ghostscript (10.0.0~dfsg-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + ghostscript-x: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 04:28:59 +0000

ghostscript (10.0.0~dfsg-6) unstable; urgency=medium

  * QA upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 12:31:22 +0200

ghostscript (10.0.0~dfsg-5) experimental; urgency=medium

  * QA upload
  * debian/: Partially revert the changes from 10.0.0~dfsg-2
    - Move version-specific files back to libgs10-common
    - Keep non-version-specific ICC profiles in libgs-common
    - Add libgs9-common transitional package for packages requiring the ICC
      profiles
  * debian/rules: Use no longer necessary dh_strip override
  * debian/control: Remove unnecessary ${shlibs:Depends}

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Oct 2022 01:19:27 +0200

ghostscript (10.0.0~dfsg-4) unstable; urgency=medium

  * orphan package: set maintainer to Debian QA Group

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Oct 2022 13:54:55 +0200

ghostscript (10.0.0~dfsg-3) unstable; urgency=medium

  * build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Oct 2022 20:21:55 +0200

ghostscript (10.0.0~dfsg-2) experimental; urgency=medium

  * provide binary package libgs-common (not libgs10-common),
    and have it break and replace libgs9-common;
    closes: bug#1020846, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Sep 2022 15:53:11 +0200

ghostscript (10.0.0~dfsg-1) experimental; urgency=medium

  * update copyright-check:
    + declare metadata extensions separately from use
    + update coverage
  * drop patch 1001 to support cross build, adopted upstream
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1
  * unfuzz patches
  * bump library packages for new SONAME

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Sep 2022 14:40:36 +0200

=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-linktree,
 dh-sequence-pkgkde-symbolshelper,
 fonts-urw-base35,
 freeglut3-dev,
 libcups2-dev [!kfreebsd-any],
 libcupsimage2-dev [!kfreebsd-any],
 libexpat-dev,
 libfontconfig1-dev,
 libfreetype-dev,
 libice-dev,
 libidn11-dev,
 libijs-dev,
 libjbig2dec0-dev (>= 0.19),
 libjpeg-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libpaper-dev,
 libpng-dev,
 libsm-dev,
 libtiff-dev,
 libx11-dev,
 libxext-dev,
 libxt-dev,
 pkg-config,
 rename,
 zlib1g-dev:native,
Standards-Version: 4.6.1
Homepage: https://www.ghostscript.com/
Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
Vcs-Browser: https://salsa.debian.org/debian/ghostscript
Rules-Requires-Root: no

Package: ghostscript
Architecture: any
Multi-Arch: foreign
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postscript-viewer,
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics
 to be printed on non-PostScript printers.
 Supported printers include common dot-matrix, inkjet and laser models.

Package: ghostscript-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 ghostscript,
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript,
 mainly targeted developers and advanced users.

Package: libgs10
Section: libs
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libgs10-common (= ${source:Version}),
 poppler-data,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: libgs-common
Section: libs
Architecture: all
Depends:
 ${misc:Depends},
Replaces:
 libgs9-common (<< 10),
Breaks:
 libgs9-common (<< 10),
Multi-Arch: foreign
Description: interpreter for the PostScript language and for PDF - ICC profiles
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common ICC profiles.

Package: libgs10-common
Section: libs
Architecture: all
Depends:
 ${misc:Depends},
 libgs-common
Recommends:
 fonts-droid-fallback,
Replaces:
 libgs-common (<< 10.0.0~dfsg-5),
Breaks:
 libgs-common (<< 10.0.0~dfsg-5),
Multi-Arch: foreign
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files
 needed by the GPL Ghostscript library.
 .
 By default, GPL Ghostscript uses a font from the fonts-droid package
 to approximate glyphs in PDFs
 for which the requested CJK TrueType font is missing.
 If the fonts-droid package is not installed,
 these glyphs will be rendered as bullets.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends:
 libgs10 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview,
 it can display PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files
 for the GPL Ghostscript library
 which makes the facilities of GPL Ghostscript available
 to applications.

Package: ghostscript-x
Section: oldlibs
Architecture: any
Depends:
 ghostscript (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: transitional package for ghostscript
 This is a transitional package and can safely be removed.

Package: libgs9-common
Section: oldlibs
Architecture: all
Depends:
 ${misc:Depends},
 libgs-common
Multi-Arch: foreign
Description: transitional package for libgs-common
 This is a transitional package and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# get upstream ABI variable, and export it for use by debhelper snippets
include base/version.mak
export GS_DOT_VERSION

include /usr/share/dpkg/pkg-info.mk

# detect if build targets experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

pkg-x11 = ghostscript-x
pkg-data = libgs10-common

binaries := $(shell dh_listpackages)

# don't run configure during autogen.sh
export NOCONFIGURE = 1

fontdirs = /var/lib/ghostscript/fonts /usr/share/cups/fonts \
 /usr/share/ghostscript/fonts /usr/local/lib/ghostscript/fonts \
 /usr/share/fonts

# Remove some of the scripts
DEB_DH_INSTALL_ARGS_ALL += $(addprefix -Xbin/,\
 unix-lpr.sh lprsetup.sh pv.sh fixmswrd.pl)

# Do not include the Ghostscript loader executable with GTK support
DEB_DH_INSTALL_ARGS_ALL += -Xbin/gsx

# Strip CMap files (separately packaged in poppler-data)
DEB_DH_INSTALL_ARGS_ALL += -X/Resource/CMap

# Recommend fonts-droid (not ship DroidSansFallback.ttf)
DEB_DH_INSTALL_ARGS_ALL += -XDroidSansFallback.ttf

# relax symbols check when bootstrapping an arch or targeting experimental
STAGE1 = $(findstring stage1,$(DEB_BUILD_PROFILES))
export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(DEB_SUITE_EXP)$(STAGE1),0,1)

# # FIXME: Enable parallel when not causing spurious errors like this:
# <https://buildd.debian.org/status/fetch.php?pkg=ghostscript&arch=amd64&ver=9.25~dfsg-6&stamp=1541195477&raw=0>
%:
	dh $@ --no-parallel

# use upstream bootstrapping script
override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

#  * TODO: enable pcl when supporting system-shared libjpeg
#    <https://bugs.ghostscript.com/show_bug.cgi?id=696654>
#  * TODO: maybe enable openjpeg (requires fork for ICC and CMYK support)
override_dh_auto_configure:
	dh_auto_configure -- \
		--without-pcl \
		--with-x --disable-gtk \
		--disable-compile-inits \
		--with-fontpath=$(subst $() ,:,$(strip $(fontdirs)))

override_dh_auto_build:
	dh_auto_build -- so $(gs_opts)

# check that tracked issues are solved
override_dh_auto_test:
	GS="LD_LIBRARY_PATH=sobin GS_LIB=Resource/Init sobin/gsc" \
		$(MAKE) --file debian/tests/smoke.mk
	GS="LD_LIBRARY_PATH=sobin GS_LIB=Resource/Init sobin/gsc" \
		$(MAKE) --file debian/tests/issues/bug_700317/check.mk

override_dh_auto_install:
	$(MAKE) soinstall DESTDIR=debian/tmp

override_dh_install:
# Rename /usr/bin/gsc, to not conflict with gambc
	mv debian/tmp/usr/bin/gsc debian/tmp/usr/bin/gs
	mkdir -p debian/tmp/usr/sbin/

	install -m 755 debian/update-gsfontmap debian/tmp/usr/sbin

# Move ICC profiles to shared dir, to allow reuse by others.
	mkdir -p debian/tmp/usr/share/color/icc
	mv debian/tmp/usr/share/ghostscript/$(GS_DOT_VERSION)/iccprofiles \
		debian/tmp/usr/share/color/icc/ghostscript

	dh_install $(DEB_DH_INSTALL_ARGS_ALL)

	dh_link --package=$(pkg-data) -- $(DEB_DH_LINK_$(pkg-data))
	dh_link --no-package=$(pkg-data)
ifneq ($(filter $(pkg-data),$(binaries)),)
	file='debian/$(pkg-data)/usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Init/cidfmap'; \
	  ! egrep -v '^(%([^%].*)?)?$$' "$$file" && rm "$$file" || ( \
		echo; \
		echo 'ERROR: cidfmap not virtually empty as expected,'; \
		echo '       so some alternative to just dropping that file is required.'; \
		echo '       More info at bug#531182.'; \
		exit 1 )
	rename 's/$$/.t1/' \
		debian/$(pkg-data)/usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Font/*
	dh_linktree -p$(pkg-data) -- \
		replace usr/share/fonts/type1/urw-base35 \
		usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Font
	rename 's/\.t1$$//' \
		debian/$(pkg-data)/usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Font/*
endif

override_dh_compress:
	dh_compress -X.pdf

# suppress shlibs resolving for library shipped with its only executable
override_dh_makeshlibs:
	dh_makeshlibs --package=$(pkg-x11) -n
	dh_makeshlibs --no-package=$(pkg-x11)

## ghostscript 10.0.0~dfsg1

=== debian/changelog ===
ghostscript (10.0.0~dfsg1-0ubuntu1.5) lunar-security; urgency=medium

  * SECURITY UPDATE: DoS via dangling pointer
    - debian/patches/CVE-2023-46751.patch: fix tiffsep(1) requirement for
      seekable output files in base/gdevprn.c, devices/gdevtsep.c.
    - CVE-2023-46751

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Dec 2023 14:25:02 -0500

ghostscript (10.0.0~dfsg1-0ubuntu1.4) lunar-security; urgency=medium

  * SECURITY UPDATE: code execution via PS documents and IJS device
    - debian/patches/CVE-2023-43115.patch: prevent PostScript programs
      switching to the IJS device after SAFER has been activated in
      devices/gdevijs.c.
    - CVE-2023-43115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Oct 2023 09:02:25 -0400

ghostscript (10.0.0~dfsg1-0ubuntu1.3) lunar-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-38559.patch: bounds check the buffer prior to
      deferencing the pointer in devn_pcx_write_rle() in base/gdevdevn.c.
    - CVE-2023-38559

 -- Allen Huang <allen.huang@canonical.com>  Tue, 15 Aug 2023 11:25:30 +0100

ghostscript (10.0.0~dfsg1-0ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: incorrect permission validation for pipe devices
    - debian/patches/CVE-2023-36664-1.patch: don't reduce pipe file names
      for permission validation in base/gpmisc.c, base/gslibctx.c.
    - debian/patches/CVE-2023-36664-2.patch: fix logic and add extra test
      in base/gpmisc.c, base/gslibctx.c.
    - CVE-2023-36664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jul 2023 12:45:07 -0400

ghostscript (10.0.0~dfsg1-0ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2023-28879.patch: add check to make sure that the
      buffer has space for two characters in s_xBCPE_process() in base/sbcp.c.
    - debian/patches/CVE-2023-28879-post.patch: add PostScript filters
      removals in Resource/Init/gs_init.ps.
    - CVE-2023-28879

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 25 Apr 2023 16:29:39 -0300

ghostscript (10.0.0~dfsg1-0ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.00.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Just mark all libtesseract symbols optional and be done with it.
      They are also arch-specific so causing build failures on non-x86.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.
    - Upstream patch (commit 387f094) for the CUPS/PWG/Apple Raster
      output device not to match custom page sizes against the sizes defined
      in the PPD file, to avoid unwished rotations or size adjustments.
      (cups-filters upstream issue #484).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Feb 2023 18:39:15 +0100

ghostscript (10.0.0~dfsg-9) unstable; urgency=medium

  * QA upload.
  * Build docs with sphinx. Closes: #1024896, #1024964

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 12 Dec 2022 07:45:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -30,6 +31,10 @@
  pkg-config,
  rename,
  zlib1g-dev:native,
+Build-Depends-Indep:
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ rst2pdf,
 Standards-Version: 4.6.1
 Homepage: https://www.ghostscript.com/
 Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
@@ -60,6 +65,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Suggests:
  ghostscript,
 Description: interpreter for the PostScript language and for PDF - Documentation

## ghostscript 10.01.2~dfsg

=== debian/changelog ===
ghostscript (10.01.2~dfsg-1) unstable; urgency=medium

  * QA upload

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check to avoid insecure shell expansion
  * fix source helper tool copyright-check to work with Path::Tiny 0.144
  * declare compliance with Debian Policy 4.6.2
  * update copyright info: extend repackaging to exclude images containing non-DFSG ICC profile
  * drop patches obsoleted by upstream changes
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Jun 2023 08:15:42 +0200

ghostscript (10.0.0~dfsg-11) unstable; urgency=medium

  * QA upload.
  * Prevent buffer overrun in (T)BCP encoding (CVE-2023-28879)
    (Closes: #1033757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 09:48:32 +0200

ghostscript (10.0.0~dfsg-10) unstable; urgency=medium

  * QA upload.
  * Add patch from upstream to fix cross build. Closes: #717825

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 20 Mar 2023 09:12:00 +0100

## ghostscript 10.01.2~dfsg1

=== debian/changelog ===
ghostscript (10.01.2~dfsg1-0ubuntu2.3) mantic-security; urgency=medium

  * SECURITY UPDATE: Policy bypass via improperly checked eexec seed
    - debian/patches/CVE-2023-52722.patch: Prevent eexec seeds other than
      Type 1 standard when SAFER mode is used in zmisc1.c.
    - CVE-2023-52722
  * SECURITY UPDATE: Arbitrary code execution via uniprint device
    - debian/patches/CVE-2024-29510.patch: Prevent changes to uniprint device
      argument strings after SAFER is activated in gdevupd.c.
    - CVE-2024-29510
  * SECURITY UPDATE: Path traversal and arbitrary code execution via improperly
    checked path arguments
    - debian/patches/CVE-2024-33869-part1.patch: Check that a current working
      directory specifier is valid before stripping it from gpmisc.c.
    - debian/patches/CVE-2024-33869-part2.patch: Check that a current working
      directory specifier is valid before stripping it from gpmisc.c.
    - CVE-2024-33869
  * SECURITY UPDATE: Path traversal via improperly checked path arguments
    - debian/patches/CVE-2024-33870.patch: Add a check for parent directory
      prefixes when handling relative paths in gpmisc.c.
    - CVE-2024-33870
  * SECURITY UPDATE: Arbitrary code execution via custom driver library
    - debian/patches/CVE-2024-33871.patch: Prevent changes to parameter that 
      specifies the names of dynamic libraries to be loaded by the opvp/oprp
      device in gdevopvp.c
    - CVE-2024-33871

 -- Chris Kim <chris.kim@canonical.com>  Mon, 03 Jun 2024 14:47:09 -0700

ghostscript (10.01.2~dfsg1-0ubuntu2.2) mantic-security; urgency=medium

  * SECURITY UPDATE: DoS via dangling pointer
    - debian/patches/CVE-2023-46751.patch: fix tiffsep(1) requirement for
      seekable output files in base/gdevprn.c, devices/gdevtsep.c.
    - CVE-2023-46751

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Dec 2023 14:22:28 -0500

ghostscript (10.01.2~dfsg1-0ubuntu2.1) mantic-security; urgency=medium

  * SECURITY UPDATE: code execution via PS documents and IJS device
    - debian/patches/CVE-2023-43115.patch: prevent PostScript programs
      switching to the IJS device after SAFER has been activated in
      devices/gdevijs.c.
    - CVE-2023-43115

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Oct 2023 08:59:19 -0400

ghostscript (10.01.2~dfsg1-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-38559.patch: bounds check the buffer prior to
      deferencing the pointer in devn_pcx_write_rle() in base/gdevdevn.c.
    - CVE-2023-38559

 -- Allen Huang <allen.huang@canonical.com>  Thu, 21 Sep 2023 17:06:57 +0200

ghostscript (10.01.2~dfsg1-0ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - New re-packaging of Ghostscript 10.00.0, keeping the leptonica and
      tesseract convenience copies in as they are not in Ubuntu Main. Added
      appropriate remark to debian/copyright.
    - Also keep the lcms2mt convenience copy as it is heavily patched by
      Ghostscript's upstream developers, especially for multi-threading
      (mt) support.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 Aug 2023 21:08:15 +0200

ghostscript (10.0.0~dfsg1-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: incorrect permission validation for pipe devices
    - debian/patches/CVE-2023-36664-1.patch: don't reduce pipe file names
      for permission validation in base/gpmisc.c, base/gslibctx.c.
    - debian/patches/CVE-2023-36664-2.patch: fix logic and add extra test
      in base/gpmisc.c, base/gslibctx.c.
    - CVE-2023-36664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Jul 2023 12:45:07 -0400

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  rst2pdf,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.ghostscript.com/
 Vcs-Git: https://salsa.debian.org/debian/ghostscript.git
 Vcs-Browser: https://salsa.debian.org/debian/ghostscript

## ghostscript 10.02.1~dfsg1

=== leptonica/CMakeLists.txt ===
#
# leptonica
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 3.1.3)
cmake_policy(SET CMP0054 NEW)

# In-source builds are disabled.
if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(leptonica C CXX)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 81)
set(VERSION_PATCH 0)
set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set(MINIMUM_WEBPMUX_VERSION 0.5.0)

option(BUILD_PROG "Build utility programs" OFF)
if (WIN32)
    option(SW_BUILD "Build with sw" ON)
else()
    option(SW_BUILD "Build with sw" OFF)
endif()
if(UNIX)
    option(SYM_LINK "Create symlink leptonica -> lept on UNIX" OFF)
endif()

if(NOT SW_BUILD)
    find_package(GIF)
    find_package(JPEG)
    find_package(PNG)
    find_package(TIFF)
    find_package(ZLIB)
    find_package(PkgConfig)
    if (PKG_CONFIG_FOUND)
        pkg_check_modules(WEBP libwebp QUIET)
        pkg_check_modules(WEBPMUX libwebpmux>=${MINIMUM_WEBPMUX_VERSION} QUIET)
        pkg_check_modules(JP2K libopenjp2>=2.0 QUIET)
    endif()
    if(NOT WEBP)
        find_path(WEBP_INCLUDE_DIR /webp/decode.h)
        find_library(WEBP_LIBRARY NAMES webp)
        if (WEBP_INCLUDE_DIR AND WEBP_LIBRARY)
            set(WEBP 1)
            set(WEBP_FOUND TRUE)
            set(WEBP_LIBRARIES ${WEBP_LIBRARY})
            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIR})
        endif()
    endif()
    if(NOT WEBPMUX)
        find_path(WEBPMUX_INCLUDE_DIR /webp/mux.h)
        #TODO:  check minimal required version
        if(NOT WEBPMUX_INCLUDE_DIR)
            message(STATUS "Can not find: /webp/mux.h")
        endif()
        if(NOT "${WEBPMUX_INCLUDE_DIR}" STREQUAL "${WEBP_INCLUDE_DIR}")
            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIRS} ${WEBPMUX_INCLUDE_DIR})
        endif()
        find_library(WEBPMUX_LIBRARY NAMES webpmux)
        if (WEBPMUX_INCLUDE_DIR AND WEBPMUX_LIBRARY)
            set(WEBPMUX 1)
            set(HAVE_LIBWEBP_ANIM 1)
            set(WEBPMUX_FOUND TRUE)
            set(WEBP_LIBRARIES ${WEBP_LIBRARIES} ${WEBPMUX_LIBRARY})
        endif()
    endif()
    if(NOT JP2K)
        find_path(JP2K_INCLUDE_DIR /openjpeg-2.3/openjpeg.h)
        find_library(JP2K_LIBRARY NAMES openjp2)
        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
             set(JP2K 1)
             set(JP2K_FOUND TRUE)
             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
             set(HAVE_LIBJP2K 1)
        endif()
    endif()    
    if(NOT JP2K)
        find_path(JP2K_INCLUDE_DIR /openjpeg-2.4/openjpeg.h)
        find_library(JP2K_LIBRARY NAMES openjp2)
        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
             set(JP2K 1)
             set(JP2K_FOUND TRUE)
             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
             set(HAVE_LIBJP2K 1)
        endif()
    endif()
else() # SW_BUILD=ON
    find_package(SW REQUIRED)
    sw_add_package(
        org.sw.demo.gif
        org.sw.demo.jpeg
        org.sw.demo.glennrp.png
        org.sw.demo.tiff
        org.sw.demo.webmproject.webp
        org.sw.demo.uclouvain.openjpeg.openjp2
    )
    sw_execute()

    add_definitions(
        -DHAVE_LIBGIF=1
        -DHAVE_LIBJPEG=1
        -DHAVE_LIBPNG=1
        -DHAVE_LIBTIFF=1
        -DHAVE_LIBWEBP=1
        -DHAVE_LIBWEBP_ANIM=1
        -DHAVE_LIBZ=1

        -DHAVE_LIBJP2K=1
        -DLIBJP2K_HEADER="openjpeg.h"
    )
endif()

###############################################################################
#
# compiler and linker
#
###############################################################################

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CLANG 1)
endif()

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "Setting build type to 'Release' as none was specified.")
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
else()
    message("CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")
endif()

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

macro(CHECK_CCXX_COMPILER_FLAG _FLAG _RESULT)
    check_c_compiler_flag(${_FLAG} C_HAS${_RESULT})
    check_cxx_compiler_flag(${_FLAG} CXX_HAS${_RESULT})
endmacro()

if (MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_compile_options("$<$<CONFIG:Release>:/W1;/Ox>")
    add_compile_options("$<$<CONFIG:Debug>:/W4;/DDEBUG>")
    if (NOT CLANG)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
else()
   if (CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
        # Enable warnings and Optimize for Debugging
        foreach(FLAG -Wall -Wextra -Werror=format-security -pedantic -Og -g3 "-fdebug-prefix-map=${CMAKE_SOURCE_DIR}=.")
            string(REGEX REPLACE "[^A-Za-z0-9]" "_" flag_var "${FLAG}")
            check_ccxx_compiler_flag(${FLAG} ${flag_var})
            if(C_HAS${flag_var})
                set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${FLAG}")
            endif()
            if(CXX_HAS${flag_var})
                set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${FLAG}")
            endif()
        endforeach()
        add_definitions(-DDEBUG)
    endif()
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_CURRENT_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_CURRENT_BINARY_DIR}/src/config_auto.h)
if (HAVE_LIBJP2K)
  set(ADDITIONAL_INCLUDE_DIRS "${JP2K_INCLUDE_DIR}")
endif()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${CMAKE_PREFIX_PATH}/include" "${CMAKE_INSTALL_PREFIX}/include" "${ADDITIONAL_INCLUDE_DIRS}")


include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/leptonica")

###############################################################################
#
# Show summary
#
###############################################################################
message( STATUS )
message( STATUS "General configuration for Leptonica ${VERSION_PLAIN}")
message( STATUS "--------------------------------------------------------")
message( STATUS "Build type: ${CMAKE_BUILD_TYPE}")
message( STATUS "Compiler: ${CMAKE_C_COMPILER_ID}")
message( STATUS "C compiler options: ${CMAKE_C_FLAGS_${CMAKE_BUILD_TYPE_UP}} ${CMAKE_C_FLAGS}")
message( STATUS "Linker options: ${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${CMAKE_BUILD_TYPE_UP}}")
message( STATUS "Install directory: ${CMAKE_INSTALL_PREFIX}")
message( STATUS )
message( STATUS "Build with sw [SW_BUILD]: ${SW_BUILD}")
message( STATUS "Build utility programs [BUILD_PROG]: ${BUILD_PROG}")
if(NOT SW_BUILD)
    message( STATUS "Used ZLIB library: ${ZLIB_LIBRARIES}")
    message( STATUS "Used PNG library:  ${PNG_LIBRARIES}")
    message( STATUS "Used JPEG library: ${JPEG_LIBRARIES}")
    message( STATUS "Used JP2K library: ${JP2K_LIBRARIES}")
    message( STATUS "Used TIFF library: ${TIFF_LIBRARIES}")
    message( STATUS "Used GIF library:  ${GIF_LIBRARIES}")
    message( STATUS "Used WEBP library: ${WEBP_LIBRARIES}")
endif()
message( STATUS "--------------------------------------------------------")
message( STATUS )

###############################################################################
#
# build
#
###############################################################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/src)

if (BUILD_PROG)
add_subdirectory(prog)
endif()

add_subdirectory(src)

get_target_property(leptonica_NAME leptonica NAME)
get_target_property(leptonica_VERSION leptonica VERSION)
get_target_property(leptonica_OUTPUT_NAME leptonica OUTPUT_NAME)

configure_file(lept.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lept.pc @ONLY)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lept.pc DESTINATION lib/pkgconfig)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake
    DESTINATION lib/cmake)

########################################
# uninstall target
########################################
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

###############################################################################

=== demos/c/Makefile ===
api_test: api_test.c
	(cd ../.. && ./autogen.sh)
	(cd ../.. && make so XCFLAGS="-DCLUSTER")
	pwd
	gcc -fPIC -I../.. api_test.c -DCLUSTER=1 -DGHOSTPDL=1 -lgpdl -L../../sobin -o api_test

run_api_test: api_test
	LD_LIBRARY_PATH=../../sobin ./api_test

post_api_test:
	md5sum apitest*
	rm apitest*

multi_test: multi_test.c
	(cd ../.. && ./autogen.sh)
	(cd ../.. && make so XCFLAGS="-DCLUSTER")
	pwd
	gcc -fPIC -I../.. multi_test.c -DCLUSTER=1 -DGHOSTPDL=1 -lgpdl -lpthread -L../../sobin -o multi_test

run_multi_test: multi_test
	LD_LIBRARY_PATH=../../sobin ./multi_test

post_multi_test:
	md5sum multitest*
	rm multitest*
	rm multi_out*

=== doc/src/requirements.txt ===
rst2pdf

# define sphinx versioning
sphinx==5.3.0
sphinx_rtd_theme==1.1.1
readthedocs-sphinx-search==0.1.1

=== lcms2mt/plugins/fast_float/Makefile ===

# Dummy
all: 	
check: 
install:
install-exec:
uninstall:
clean:
distclean:
	echo .

=== debian/changelog ===
ghostscript (10.02.1~dfsg1-0ubuntu7.8) noble-security; urgency=medium

  * SECURITY UPDATE: null pointer deref on file write failure
    - debian/patches/CVE-2025-7462.patch: catch a null file pointer closing
      pdfwrite in devices/vector/gdevpdf.c.
    - CVE-2025-7462
  * SECURITY UPDATE: stack overflow in pdf_write_cmap
    - debian/patches/CVE-2025-59798.patch: use dynamically allocated buffer
      and check return codes in devices/vector/gdevpdtw.c.
    - CVE-2025-59798
  * SECURITY UPDATE: stack overflow in pdfmark_coerce_dest
    - debian/patches/CVE-2025-59799.patch: bounds check some strings in
      devices/vector/gdevpdfm.c.
    - CVE-2025-59799
  * SECURITY UPDATE: heap overflow in ocr_begin_page
    - debian/patches/CVE-2025-59800.patch: fix int overflow in
      devices/gdevpdfocr.c.
    - CVE-2025-59800

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Sep 2025 12:37:20 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.7) noble-security; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2025-48708.patch: Argument sanitization handle
      '#' as per '='
    - CVE-2025-48708

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 03 Jul 2025 15:29:52 +1000

ghostscript (10.02.1~dfsg1-0ubuntu7.6) noble-security; urgency=medium

  * SECURITY UPDATE: directory escape via overlong encodings
    - debian/patches/CVE-2025-46646.patch: handle another set of sequences
      in base/gp_utf8.c.
    - CVE-2025-46646

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2025 09:26:37 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.5) noble-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow via serialization of DollarBlend
    - debian/patches/CVE-2025-27830.patch: fix potential Buffer overflow
      in base/write_t1.c, psi/zfapi.c.
    - CVE-2025-27830
  * SECURITY UPDATE: Text buffer overflow with long characters
    - debian/patches/CVE-2025-27831.patch: prevent Unicode decoding overrun
      in devices/vector/doc_common.c.
    - CVE-2025-27831
  * SECURITY UPDATE: Compression buffer overflow
    - debian/patches/CVE-2025-27832.patch: avoid integer overflow leading
      to buffer overflow in contrib/japanese/gdevnpdl.c.
    - CVE-2025-27832
  * SECURITY UPDATE: Buffer overflow with long TTF font name
    - debian/patches/CVE-2025-27833.patch: check TTF name size before
      copying to buffer in pdf/pdf_fmap.c.
    - CVE-2025-27833
  * SECURITY UPDATE: Buffer overflow caused by an oversized Type 4 function
    - debian/patches/CVE-2025-27834.patch: guard against unsigned int
      overflow in pdf/pdf_func.c.
    - CVE-2025-27834
  * SECURITY UPDATE: Buffer overflow when converting glyphs to unicode
    - debian/patches/CVE-2025-27835.patch: fix confusion between bytes and
      shorts in psi/zbfont.c.
    - CVE-2025-27835
  * SECURITY UPDATE: Print buffer overflow
    - debian/patches/CVE-2025-27836-1.patch: fix potential print buffer
      overflow in contrib/japanese/gdev10v.c.
    - debian/patches/CVE-2025-27836-2.patch: fix compiler warnings in
      contrib/japanese/gdev10v.c.
    - CVE-2025-27836

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Mar 2025 13:42:18 -0400

ghostscript (10.02.1~dfsg1-0ubuntu7.4) noble-security; urgency=medium

  * SECURITY UPDATE: incorrect Pattern Implementation type handling
    - debian/patches/CVE-2024-46951.patch: check the type of the Pattern
      Implementation in psi/zcolor.c.
    - CVE-2024-46951
  * SECURITY UPDATE: Buffer overflow in PDF XRef stream
    - debian/patches/CVE-2024-46952.patch: sanitise W array values in Xref
      streams in pdf/pdf_xref.c.
    - CVE-2024-46952
  * SECURITY UPDATE: output filename overflow
    - debian/patches/CVE-2024-46953.patch: check for overflow validating
      format string for the output file name in base/gsdevice.c.
    - CVE-2024-46953
  * SECURITY UPDATE: directory escape via overlong encodings
    - debian/patches/CVE-2024-46954.patch: fix decode_utf8 to forbid
      overlong encodings in base/gp_utf8.c.
    - CVE-2024-46954
  * SECURITY UPDATE: Out of bounds read when reading color
    - debian/patches/CVE-2024-46955.patch: check Indexed colour space index
      in psi/zcolor.c.
    - CVE-2024-46955
  * SECURITY UPDATE: incorrect buffer length check
    - debian/patches/CVE-2024-46956.patch: fix length check in psi/zfile.c.
    - CVE-2024-46956

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 06 Nov 2024 11:35:01 -0500

ghostscript (10.02.1~dfsg1-0ubuntu7.3) noble-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow via long PDF filter name
    - debian/patches/CVE-2024-29506.patch: don't allow PDF files with bad
      Filters to overflow the debug buffer in pdf/pdf_file.c.
    - CVE-2024-29506
  * SECURITY UPDATE: stack-based buffer overflows
    - debian/patches/CVE-2024-29507.patch: bounds checks when using CIDFont
      related params in pdf/pdf_font.c, pdf/pdf_warnings.h.
    - CVE-2024-29507
  * SECURITY UPDATE: heap-based pointer disclosure via constructed BaseFont
    name
    - debian/patches/CVE-2024-29508.patch: review printing of pointers in
      base/gsfont.c, base/gsicc_cache.c, base/gsmalloc.c, base/gxclmem.c,
      base/gxcpath.c, base/gxpath.c, base/szlibc.c, devices/gdevupd.c,
      devices/vector/gdevpdtb.c, psi/ialloc.c, psi/igc.c, psi/igcstr.c,
      psi/iinit.c, psi/imainarg.c, psi/isave.c, psi/iutil.c.
    - debian/patches/CVE-2024-29508-2.patch: fix compiler warning in
      optimised build in base/gsicc_cache.c.
    - debian/patches/CVE-2024-29508-3.patch: remove extra arguments in
      devices/gdevupd.c.
    - CVE-2024-29508
  * SECURITY UPDATE: heap-based overflow via PDFPassword with null byte
    - debian/patches/CVE-2024-29509.patch: don't use strlen on passwords in
      pdf/pdf_sec.c.
    - CVE-2024-29509
  * SECURITY UPDATE: directory traversal issue via OCRLanguage
    - debian/patches/CVE-2024-29511.patch: reject OCRLanguage changes after


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -49,7 +49,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
+ ghostscript-x (= ${binary:Version}),
  postscript-viewer,
+Conflicts:
+ ghostscript-x (<< 10.02.0~dfsg-1),
+Replaces:
+ ghostscript-x (<< 10.02.0~dfsg-1),
+Suggests:
+ texlive-binaries
 Description: interpreter for the PostScript language and for PDF
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview,
@@ -58,6 +65,8 @@
  Furthermore, it can render PostScript and PDF files as graphics
  to be printed on non-PostScript printers.
  Supported printers include common dot-matrix, inkjet and laser models.
+ .
+ The suggested texlive-binaries package is only required when using dvipdf.
 
 Package: ghostscript-doc
 Section: doc
@@ -156,23 +165,3 @@
  for the GPL Ghostscript library
  which makes the facilities of GPL Ghostscript available
  to applications.
-
-Package: ghostscript-x
-Section: oldlibs
-Architecture: any
-Depends:
- ghostscript (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: transitional package for ghostscript
- This is a transitional package and can safely be removed.
-
-Package: libgs9-common
-Section: oldlibs
-Architecture: all
-Depends:
- ${misc:Depends},
- libgs-common
-Multi-Arch: foreign
-Description: transitional package for libgs-common
- This is a transitional package and can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # detect if build targets experimental suite (or is a draft)
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
-pkg-x11 = ghostscript-x
 pkg-data = libgs10-common
 
 binaries := $(shell dh_listpackages)
@@ -60,6 +59,9 @@
 override_dh_auto_build:
 	dh_auto_build -- so $(gs_opts)
 
+execute_after_dh_auto_build-indep:
+	sphinx-build -bhtml doc/src doc/build/html
+
 # check that tracked issues are solved
 override_dh_auto_test:
 	GS="LD_LIBRARY_PATH=sobin GS_LIB=Resource/Init sobin/gsc" \
@@ -103,10 +105,8 @@
 		debian/$(pkg-data)/usr/share/ghostscript/$(GS_DOT_VERSION)/Resource/Font/*
 endif
 
+execute_after_dh_installdocs-indep:
+	dh_sphinxdoc
+
 override_dh_compress:
 	dh_compress -X.pdf
-
-# suppress shlibs resolving for library shipped with its only executable
-override_dh_makeshlibs:
-	dh_makeshlibs --package=$(pkg-x11) -n
-	dh_makeshlibs --no-package=$(pkg-x11)

## ghostscript 10.03.1~dfsg

=== debian/changelog ===
ghostscript (10.03.1~dfsg-1deepin1) unstable; urgency=medium

  * Add libgs9-common transitional package for smooth upgrading

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 11 Jul 2024 17:20:17 +0800

ghostscript (10.03.1~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a82a848] New upstream version 10.03.1~dfsg

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 May 2024 22:22:53 -0500

ghostscript (10.03.1~dfsg~git20240518-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [2e5797b] New upstream version 10.03.1~dfsg~git20240518, built from
    upstream git commit 7145885041bb52cc23964f0aa2aec1b1c82b5908

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 May 2024 19:24:20 -0500

ghostscript (10.03.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [d50c139] Add "breaks" relationship with manpages-l10n to transition
    German manpages. Closes: #1065396.
  * [9adc766] Simplify ps2ascii script. Closes: #992893.
  * [15664c9] New upstream version 10.03.0~dfsg
  * [2396e20] Remove 0001_fix_pagelist.patch, applied in new version.
  * [e3b0739] Add build-dep on python3-sphinx-copybutton
  * [ff6b89f] Fix break relationship versioning.
  * [2020bbc] Update obsolete dependency package names.

 -- Steve M. Robbins <smr@debian.org>  Thu, 21 Mar 2024 22:44:42 -0500

ghostscript (10.02.1~dfsg-3) unstable; urgency=medium

  [ наб ]
  * [ee3d1ac] Simplify /sbin/update-gsfontmap (Closes: #992889)

  [ Steve Robbins ]
  * [ccc0e3c] Explicitly set font map files to be world readable. 
    Closes: #740959.
  * [5fce3d3] Add suggestion for package texlive-binaries, needed to use
    dvipdf. Closes: #782901.
  * [9ab8028] ghostscript: add conflicts to ghostcript-x to allow removal of
    the obsolete transitional package. Closes: #1053377

 -- Steve M. Robbins <smr@debian.org>  Sat, 20 Jan 2024 15:44:07 -0600

ghostscript (10.02.1~dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [4b077b5] Incorporate upstream patch to fix PageList processing in PDF 
    handler.  Closes: #1052652
  * [b4524f9] New maintainer.  Closes: #1022718, #1036869.

 -- Steve M. Robbins <smr@debian.org>  Sat, 06 Jan 2024 01:16:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-linktree,
@@ -12,10 +12,10 @@
  libcups2-dev [!kfreebsd-any],
  libcupsimage2-dev [!kfreebsd-any],
  libexpat-dev,
- libfontconfig1-dev,
+ libfontconfig-dev,
  libfreetype-dev,
  libice-dev,
- libidn11-dev,
+ libidn-dev,
  libijs-dev,
  libjbig2dec0-dev (>= 0.19),
  libjpeg-dev,
@@ -28,12 +28,13 @@
  libx11-dev,
  libxext-dev,
  libxt-dev,
- pkg-config,
+ pkgconf,
  rename,
  zlib1g-dev:native,
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinx-copybutton,
  rst2pdf,
 Standards-Version: 4.6.2
 Homepage: https://www.ghostscript.com/
@@ -55,6 +56,8 @@
  ghostscript-x (<< 10.02.0~dfsg-1),
 Replaces:
  ghostscript-x (<< 10.02.0~dfsg-1),
+Breaks:
+ manpages-l10n (<< 4.22),
 Suggests:
  texlive-binaries
 Description: interpreter for the PostScript language and for PDF
@@ -165,3 +168,14 @@
  for the GPL Ghostscript library
  which makes the facilities of GPL Ghostscript available
  to applications.
+
+Package: libgs9-common
+Section: oldlibs
+Architecture: all
+Depends:
+ ${misc:Depends},
+ libgs-common
+Multi-Arch: foreign
+Description: transitional package for libgs-common
+ This is a transitional package and can safely be removed.
+
